MORE(1)

NUME
more - afișează conținutul unui fișier într-un terminal

REZUMAT

more [opțiuni] fișier ...

DESCRIERE

more este un filtru pentru paginarea textului, o pagină pe ecran la un moment dat. Această versiune este deosebit de primitivă. Utilizatorii ar trebui să realizeze că less(1) oferă emulația more(1) plus îmbunătățiri extinse.

OPȚIUNI

Opțiunile sunt, de asemenea, preluate din variabila de mediu MORE (asigurați-vă că sunt precedate de o liniuță (-)), dar opțiunile din linia de comandă le vor anula.

-d, --silent
    Solicită cu "[Apăsați spațiu pentru a continua, 'q' pentru a ieși.]" și afișează "[Apăsați 'h' pentru instrucțiuni.]" în loc să sune clopoțelul atunci când este apăsată o tastă ilegală.

-l, --logical
    Nu face o pauză după nicio linie care conține un ^L (salt de pagină).

-e, --exit-on-eof
    Iese la sfârșitul fișierului, activată în mod implicit dacă variabila de mediu POSIXLY_CORRECT nu este definită sau dacă nu este executată pe terminal.

-f, --no-pause
    Numără liniile logice, mai degrabă decât liniile de ecran (adică liniile lungi nu se pliază).

-p, --print-over
    Nu derulează. În schimb, șterge tot ecranul și apoi afișează textul. Observați că această opțiune este activată automat dacă executabilul se numește page.

-c, --clean-print
    Nu derulează. În schimb, pictează fiecare ecran începând de sus, ștergând restul fiecărui rând pe măsură ce este afișat.

-s, --squeeze
    Strânge mai multe linii goale într-una singură.

-u, --plain
    Suprimă sublinierea. Această opțiune este ignorată în mod silențios pentru a asigura compatibilitatea cu versiunile anterioare.

-n, --lines număr
    Specifică numărul de linii pe ecran. Argumentul număr este un număr întreg zecimal pozitiv. Opțiunea --lines prevalează asupra oricăror valori obținute din orice altă sursă, cum ar fi numărul de linii raportat de terminal.

-număr
    O opțiune numerică are aceeași semnificație ca și argumentul opțiunii --lines.

+număr
    Începe afișarea fiecărui fișier de la linia număr.

+/șir
    Șirul de caractere (șir) care trebuie căutat în fiecare fișier înainte de a începe afișarea acestuia.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

COMENZI

Comenzile interactive pentru more se bazează pe vi(1). Unele comenzi pot fi precedate de un număr zecimal, numit k în descrierile de mai jos. În descrierile următoare, ^X înseamnă control-X.

h sau ?
    Ajutor; afișează un rezumat al acestor comenzi. Dacă uitați toate celelalte comenzi, țineți-o minte pe aceasta.

SPAȚIU
    Afișează următoarele n rânduri de text. Valoarea implicită este dimensiunea curentă a ecranului.

z
    Afișează următoarele n rânduri de text. Valoarea implicită este dimensiunea curentă a ecranului. Argumentul devine noua valoare implicită.

RETURN
    Afișează următoarele n rânduri de text. Valoarea implicită este 1. Argumentul devine noua valoare implicită.

d sau ^D
    Derulează n linii. Valoarea implicită este dimensiunea curentă de derulare, inițial 11. Argumentul devine noua valoare implicită.

q sau Q sau INTERRUPT
    Ieșire.

s
    Sare înainte n rânduri de text. Valoarea implicită este 1.

f
    Saltă înainte n ecrane de text. Valoarea implicită este 1.

b sau ^B
    Saltă înapoi n ecrane de text. Valoarea implicită este 1. Funcționează numai cu fișiere, nu și cu conducte.

'
    Merge la locul de unde a început ultima căutare.

=
    Afișează numărul liniei curente.

/model
    Caută a n-a apariție a expresiei regulate. Valoarea implicită este 1.

n
    Caută a n-a apariție a ultimei expresii regulate. Valoarea implicită este 1.

!comanda sau :!comanda
    Execută comanda într-un sub-shell.

v
    Pornește un editor la linia curentă. Editorul este preluat din variabila de mediu VISUAL, dacă este definită, sau EDITOR, dacă VISUAL nu este definită, sau este implicit vi(1), dacă nici VISUAL, nici EDITOR nu sunt definite.

^L
    Redesenează ecranul.

:n
    Trece la al n-lea fișier următor. Valoarea implicită este 1.

:p
    Trece la al n-lea fișier anterior. Valoarea implicită este 1.

:f
    Afișează numele fișierului curent și numărul liniei.

.
    Repetă comanda precedentă.

SECURITATE

Atunci când este activată opțiunea MORESECURE sau PAGERSECURE, more va rula în modul „securizat” și va dezactiva efectiv următoarele comenzi:

!comanda sau :!comanda
    Execută comanda într-un sub-shell.

v
    Lansarea unui editor.

MEDIU

Comanda more respectă următoarele variabile de mediu, dacă acestea există:

MORE
    Această variabilă poate fi definită cu opțiuni de favorizare a more.

SHELL
    Shell-ul curent în curs de utilizare (în mod normal, stabilit de către shell în momentul autentificării).

TERM
    Tipul de terminal utilizat de more pentru a obține caracteristicile terminalului necesare pentru a manipula ecranul.

VISUAL
    Editorul pe care îl preferă utilizatorul. Invocat atunci când este apăsată tasta de comandă v.

EDITOR
    Editorul preferat atunci când nu este specificat VISUAL.

POSIXLY_CORRECT
    Dezactivează opțiunea exit-on-eof (a se vedea opțiunea -e pentru mai multe detalii).

MORESECURE
    Rulează more în modul „securizat”. Vedeți secțiunea SECURITATE pentru detalii.

PAGERSECURE
    Echivalentă cu MORESECURE.

MORE_SHELL_LINES
    Specify the number of lines the shell prompt occupies on the terminal screen. If this value is set, the number of lines for the shell prompt is subtracted from the number of lines used to print a page on the screen. The value must be greater than zero and less than the current number of lines per screen; otherwise it is silently ignored. This is useful in situations where the printed page has to remain on the screen after exiting more(1) without scrolling up too much as the shell prints a new prompt.

ISTORIC

Comanda more a apărut în versiunea 3.0BSD. Această pagină de manual documentează more versiunea 5.19 (Berkeley 6/29/88), care este utilizată în prezent în comunitatea Linux. Documentația a fost produsă folosind alte câteva versiuni ale paginii de manual și o examinare extinsă a codului sursă.

AUTORI

Eric Shienbrood, UC Berkeley.

Modificat de Geoff Peck, UCB, pentru a adăuga subliniere și spațiere simplă.

Modificat de John Foderaro, UCB, pentru a adăuga „-c” și variabila de mediu MORE.

Modificat de Christian Goeschel Ndjomouo pentru a adăuga variabilele de mediu MORESECURE, PAGERSECURE și MORE_SHELL_LINES, precum și o secțiune SECURITATE

CONSULTAȚI ȘI

less(1), vi(1)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda more face parte din pachetul util-linux care poate fi descărcat de la